Loading...
Searching...
No Matches
ForceFields::AngleConstraintContribsParams Struct Reference

`#include <AngleConstraints.h>`

## Public Member Functions

| AngleConstraintContribsParams (unsigned int idx1, unsigned int idx2, unsigned int idx3, double minAngle, double maxAngle, double forceConstant=1.0)

## Public Attributes

unsigned int | idx1 {0}
| index of atom1 of the angle constraint
unsigned int | idx2 {0}
| index of atom2 of the angle constraint
unsigned int | idx3 {0}
| index of atom3 of the angle constraint
double | minAngle {0.0}
| lower bound of the flat bottom potential
double | maxAngle {0.0}
| upper bound of the flat bottom potential
double | forceConstant {1.0}
| force constant for angle constraint

## Detailed Description

Definition at line 21 of file AngleConstraints.h.

## Constructor & Destructor Documentation

## AngleConstraintContribsParams()

ForceFields::AngleConstraintContribsParams::AngleConstraintContribsParams | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | double | minAngle,
|  | double | maxAngle,
|  | double | forceConstant = `1.0`
| ) |  |

inline

Definition at line 28 of file AngleConstraints.h.

## Member Data Documentation

## forceConstant

double ForceFields::AngleConstraintContribsParams::forceConstant {1.0}

force constant for angle constraint

Definition at line 27 of file AngleConstraints.h.

## idx1

unsigned int ForceFields::AngleConstraintContribsParams::idx1 {0}

index of atom1 of the angle constraint

Definition at line 22 of file AngleConstraints.h.

## idx2

unsigned int ForceFields::AngleConstraintContribsParams::idx2 {0}

index of atom2 of the angle constraint

Definition at line 23 of file AngleConstraints.h.

## idx3

unsigned int ForceFields::AngleConstraintContribsParams::idx3 {0}

index of atom3 of the angle constraint

Definition at line 24 of file AngleConstraints.h.

## maxAngle

double ForceFields::AngleConstraintContribsParams::maxAngle {0.0}

upper bound of the flat bottom potential

Definition at line 26 of file AngleConstraints.h.

## minAngle

double ForceFields::AngleConstraintContribsParams::minAngle {0.0}

lower bound of the flat bottom potential

Definition at line 25 of file AngleConstraints.h.

The documentation for this struct was generated from the following file:

- AngleConstraints.h